Skip to main content

0.01 credits per call

eth_getBalance on Arbitrum: Returns the native token balance of an address at a given block.

Endpoint

https://rpc.goldrushdata.com/v1/arbitrum-mainnet
Authenticate with Authorization: Bearer <GOLDRUSH_API_KEY>. See authentication.

Parameters

NameTypeRequiredDescriptionExample
addressDATA, 20 bytesyesAddress to check the balance of."0xd8da6bf26964af9d7eed9e03e53415d37aa96045"
blockTagQUANTITY | TAGyesBlock number (hex), or latest, earliest, pending, safe, finalized."latest"

Returns

QUANTITY: Hex-encoded balance in wei.
"0x1bc16d674ec80000"

Examples

curl https://rpc.goldrushdata.com/v1/arbitrum-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "eth_getBalance",
    "params": ["0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "latest"]
  }'
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/arbitrum-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("eth_getBalance", ["0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "latest"]);
console.log(result);
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/arbitrum-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "eth_getBalance",
  params: ["0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "latest"],
});
console.log(result);
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/arbitrum-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "eth_getBalance",
  params: ["0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "latest"],
});
console.log(result);
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/arbitrum-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("eth_getBalance", ["0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "latest"])
print(result)

Errors

CodeMessage
-32602Invalid params (e.g. malformed address).
Plus standard JSON-RPC errors: -32600 invalid request, -32601 method not found, -32602 invalid params.

Also available on